Subject: Re: [WIP PATCH 1/4] Prepare checkout_entry() for recursive checkout of submodules

From: Jens Lehmann <[email-masked]>
Date: Sat, 10 Apr 2010 22:57:52 +0200

Am 10.04.2010 20:44, schrieb Junio C Hamano:
> Jens Lehmann <[email-masked]> writes:
> 
>>>> This would give you an incorrect result if .git is a file that records
>>>> "gitdir: overthere" (see read_gitfile_gently() in setup.c); I would expect
>>>> it would become a fairly important ingredient if we ever enhance the
>>>> submodule support to add submodule that disappears/reappears in the
>>>> history.
>>>
>>> Right. This assumption is also present in add_submodule_odb() (used by
>>> show_submodule_summary()) and is_submodule_modified(), so i just reused
>>> it. This should be addressed in another patch.
>>
>> What about this one:
> 
> Looks sensible to me.  Thanks, and sorry for not catching this earlier.

While glancing over add_submodule_odb(): It protects against adding
a /new/ odb twice, but assuming the submodules objects later live in
the odb of the superproject too it will happily add that to the
alt_odb_list the first time it sees it, no?
Not knowing the odb code, would it make sense to protect against that?
Or does adding the superprojects .git/objects to the alt_odb_list have
no negative consequences?